# Changed by Makefile of cvs.
%define version 0.52
%define name DrakConf

Summary:	The Mandrake Configurator
Name:		%{name}
Version:	%{version}
Release: 41mdk
# get the source from our cvs repository (see
# http://www.linuxmandrake.com/en/cvs.php3)
Source0:	%{name}-%{version}.tar.bz2
Source1:	drakconf16.xpm.bz2
Source2:	drakconf32.xpm.bz2
Source3:	drakconf48.xpm.bz2
Copyright:	GPL
Group:		System/Configuration/Other
BuildRequires:	gtk+mdk-devel
Requires:	drakxtools, gtk+mdk, perl, usermode
BuildRoot:	%{_tmppath}/%{name}-buildroot

%description
DrakConf is an interface to multiple utilities from DrakXtools. It
allows you to launch :

   * KeyboardDrake: configures your keyboard.
   * MouseDrake: configures and autodetects your mouse
   * PrinterDrake: detects and configures your printer
   * Diskdrake: partitions your hard disk.
   * XfDrake: configure your graphic card easily and change
     the resolution on the fly.

and many other tools.

%prep
%setup -q

%build
make CFLAGS="$RPM_OPT_FLAGS"

%install
rm -rf $RPM_BUILD_ROOT
make prefix=$RPM_BUILD_ROOT install 

#mkdir -p $RPM_BUILD_ROOT%{_bindir}
#ln -sf consolehelper ${RPM_BUILD_ROOT}%{_bindir}/DrakConf
mv ${RPM_BUILD_ROOT}%{_prefix}/X11R6/bin/DrakConf \
   ${RPM_BUILD_ROOT}%{_prefix}/X11R6/bin/DrakConf.real
ln -sf %{_bindir}/consolehelper ${RPM_BUILD_ROOT}%{_prefix}/X11R6/bin/DrakConf
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/{pam.d,security/console.apps}
cp pam.drakconf $RPM_BUILD_ROOT%{_sysconfdir}/pam.d/drakconf
cp apps.DrakConf  $RPM_BUILD_ROOT%{_sysconfdir}/security/console.apps/DrakConf


#install lang
%{find_lang} %{name}

#install menu
mkdir -p $RPM_BUILD_ROOT%{_menudir}
cat > $RPM_BUILD_ROOT%{_menudir}/DrakConf << EOF
?package(DrakConf): needs="X11" icon="drakconf.xpm" section="Configuration/Other" title="DrakConf" longtitle="System configuration tool" command="/usr/X11R6/bin/DrakConf"
EOF

#install menu icon
mkdir -p $RPM_BUILD_ROOT%{_miconsdir}
mkdir -p $RPM_BUILD_ROOT%{_liconsdir}
bzcat %{SOURCE1} > $RPM_BUILD_ROOT%{_miconsdir}/drakconf.xpm
bzcat %{SOURCE2} > $RPM_BUILD_ROOT%{_iconsdir}/drakconf.xpm
bzcat %{SOURCE3} > $RPM_BUILD_ROOT%{_liconsdir}/drakconf.xpm

%post
%{update_menus}

%postun
%{clean_menus}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-,root,root)
%doc ChangeLog README.CVS TRANSLATORS
%config(noreplace) /etc/DrakConf/*
%{_prefix}/X11R6/bin/*
%{_menudir}/DrakConf
%{_miconsdir}/*.xpm
%{_iconsdir}/*.xpm
%{_liconsdir}/*.xpm
#%{_bindir}/DrakConf
%config(noreplace) %{_sysconfdir}/pam.d/drakconf
%config(noreplace) %{_sysconfdir}/security/console.apps/DrakConf

%changelog
* Fri Oct  6 2000 DindinX <odin@mandrakesoft.com> 0.52-41mdk
- Completly get rid of kdesu

* Fri Oct  6 2000 Renaud Chaillat <rchaillat@mandrakesoft.com> 0.52-40mdk
- added requirement for usermode

* Fri Oct  6 2000 Renaud Chaillat <rchaillat@mandrakesoft.com> 0.52-39mdk
- last update to consolehelper configuration (renaming of the original 
  binary)

* Thu Oct  5 2000 Renaud Chaillat <rchaillat@mandrakesoft.com> 0.52-38mdk
- one more update for pam configuration, to allow the link 
  to consolehelper be DrakConf with caps
- fix rpmdrake calling path (fix 651)

* Thu Oct  5 2000 DindinX <odin@mandrakesoft.com> 0.52-37mdk
- fix menu entry to use drakconf-auth
- update liveupdate description

* Thu Oct  5 2000 Renaud Chaillat <rchaillat@mandrakesoft.com> 0.52-36mdk
- corrected pam configuration (pam_authenticate has problems 
  with caps in services names)
- Added an rc for livedrake (fix 599)
- s/Outils de dmarrage/Gestion de dmarrage/ (fix 627)

* Wed Oct 04 2000 DindinX <odin@mandrakesoft.com> 0.52-35mdk
- rc fixes
- linuxconf launch /sbin/linuxconf
- New icons from LN
- back to kdesu, since pam does not want to work :(

* Tue Oct 03 2000 DindinX <odin@mandrakesoft.com> 0.52-34mdk
- resurect LinuxConf
- small rc fix

* Tue Oct 03 2000 DindinX <odin@mandrakesoft.com> 0.52-33mdk
- Change some rc entry (suggestion from gc)
- use pam instead of kdesu

* Tue Oct 03 2000 DindinX <odin@mandrakesoft.com> 0.52-32mdk
- change Mandrake to Linux-Mandrake in the rc files

* Mon Oct 02 2000 DindinX <odin@mandrakesoft.com> 0.52-31mdk
- fix menudrake calling (for system menu)
- update some rc

* Mon Oct 02 2000 DindinX <odin@mandrakesoft.com> 0.52-30mdk
- fix french translation of draknet (fix bug 469)
- update translations of other rc

* Fri Sep 29 2000 DindinX <odin@mandrakesoft.com> 0.52-29mdk
- new icons

* Fri Sep 29 2000 DindinX <odin@mandrakesoft.com> 0.52-28mdk
- Small rc fixes

* Thu Sep 28 2000 DindinX <odin@mandrakesoft.com> 0.52-27mdk
- change adduserdrake for userdrake

* Thu Sep 28 2000 DindinX <odin@mandrakesoft.com> 0.52-26mdk
- small UI changes
- updated po

* Fri Sep 15 2000 DindinX <odin@mandrakesoft.com> 0.52-25mdk
- fix a problem with i18n of some language (Pablo)
- updated po (Pablo)
- work around a perl bug (Chmouel)

* Mon Sep 11 2000 DindinX <odin@mandrakesoft.com> 0.52-24mdk
- Small UI changes
- Added menudrake, draknet and drakgw

* Mon Aug 28 2000 DindinX <odin@mandrakesoft.com> 0.52-23mdk
- use %%lang
- use noreplace with %%config for rc files

* Fri Aug 25 2000 DindinX <odin@mandrakesoft.com> 0.52-22mdk
- Remove the border of the info notebook
- po updates

* Thu Aug 24 2000 David BAUDENS <baudens@mandrakesoft.com> 0.52-21mdk
- Fix macro disaster

* Sun Aug 13 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 0.52-20mdk
- fixing %post script

* Tue Aug 08 2000 DindinX <odin@mandrakesoft.com> 0.52-19mdk
- fix BuildRequires (Fred sucks)
- BM
- New harddrake.rc

* Mon Aug 07 2000 Frederic Lepied <flepied@mandrakesoft.com> 0.52-18mdk
- automatically added BuildRequires

* Tue May  9 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 0.52-17mdk
- added require to kdesu

* Wed May  3 2000 DindinX <odin@mandrakesoft.com> 0.52-16mdk
- Added Mandrake Update

* Fri Apr 28 2000 DindinX <odin@mandrakesoft.com> 0.52-15mdk
- Added a 32x32 and a 48x48 icons

* Fri Apr 28 2000 DindinX <odin@mandrakesoft.com> 0.52-14mdk
- remove icon menu path

* Thu Apr 20 2000 DindinX <odin@mandrakesoft.com> 0.52-13mdk
- Put a better looking logo
- Remove kpackage

* Wed Apr 19 2000 warly <warlyn@mandrakesoft.com> 0.52-12mdk
- remove this f****ng bl***y bast*** logo

* Wed Apr 19 2000 warly <warlyn@mandrakesoft.com> 0.52-11mdk
- really remove logo

* Wed Apr 19 2000 warly <warly@mandrakesoft.com> 0.52-10mdk
- remove some logos

* Wed Apr 19 2000 DindinX <odin@mandrakesoft.com> 0.52-9mdk
- remove drakbootdisk (merge with drakboot)

* Tue Apr 18 2000 DindinX <odin@mandrakesoft.com> 0.52-8mdk
- Added an entry drakboot

* Mon Apr 17 2000 DindinX <odin@mandrakesoft.com> 0.52-7mdk
- Added an entry for drakbootdisk
- only read .rc files

* Tue Apr 11 2000 DindinX <odin@mandrakesoft.com> 0.52-6mdk
- Added nice icons from Hlne

* Mon Apr 10 2000 DindinX <odin@mandrakesoft.com> 0.52-5mdk
- Better handling of different resolutions

* Sat Apr  8 2000 DindinX <odin@mandrakesoft.com> 0.52-4mdk
- Fix the grammar in the Desc.
- Added rpmdrake and drakfont.
- rename lothar to harddrake.

* Sat Apr  8 2000 DindinX <odin@mandrakesoft.com> 0.52-3mdk
- Add a %config tag to make rpmlint happy

* Fri Mar 31 2000 DindinX <odin@mandrakesoft.com> 0.52-2mdk
- Menu group back to /Configuration/Other :(

* Fri Mar 31 2000 DindinX <odin@mandrakesoft.com> 0.52-1mdk
- New version w/ support for 640x480 screens
- Spec update
- Change Group
- Add menu

* Mon Mar 13 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.51-1mdk
- Requires true perl when using Getopt::Long.

* Sun Mar 12 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.51-1mdk
- DrakConf.pm (usage): parse arguments with Getopt::Long;
- DrakConf.pm: Now use a directory and one config file for entry.

* Tue Feb 29 2000 DindinX <odin@mandrakesoft.com> 0.50-1mdk
- Use a more usefull version number...

* Mon Feb 28 2000 DindinX <odin@mandrakesoft.com> 0.34-2mdk
- Added a "close" button

* Tue Jan 25 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.37-1mdk
- po/lothar.rc: Exclusivearchs: i386
- DrakConf.pm (get_arch): add ability to do Exclusivearchs for 
  certain program.

* Wed Jan 12 2000 Franois PONS <fpons@mandrakesoft.com>
- remove provide control-panel.

* Fri Jan  7 2000 Pixel <pixel@mandrakesoft.com>
- DrakConf.c (main): add setlocale call for i18n

* Tue Jan  4 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.34-10mdk
- respawn with kdesu if launching as user.

* Mon Jan  3 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Remove Obsoletes and Provides control-panel.

* Mon Jan 03 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- po/*lothar*: add blank line in the end of file.

* Mon Dec 27 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- create the temporary file in ~tmp/ for obvious
  security reasons, also fix an improbable but possible
  race conditions.

* Mon Dec 27 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- po/*: adjust & change.
- diskdrake.pm: can do eval of perl code in config files.
- DrakConf.pm: Try better to find the language.
- pics/*diskdrake: new icon.
- DrakConf.c: create a temporary file when 'exec'ing a tool (dinx)
- DrakConf.c: fix a very stupid bug in the tests for existing tools (dinx).

* Fri Dec 24 1999 Pixel <pixel@mandrakesoft.com>
- add obsoletes control-panel

* Mon Dec 20 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- DrakConf.c: remove the obsolete translation of '' into ' '
- DrakConf.rc: Add a lot of i18n translations from pablo
- DrakConf.rc: s|/sbin/netconf|/bin/netconf|;
- DrakConf.rc: remove the .
- DrakConf.pm: fix bad call.
- pics/*mouse*.xpm: new icon from helene.
- pics/*keyboard*.xpm: new icon from helene.
- pics/*drake*.xpm: new icon from helene.
- pics/*lothar*.xpm: new icon from helene.
- DrakConf.pm: Parse better arguments.

* Sun Dec 19 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- French and Spanish Description (camille).
- strip binaries.

* Sat Dec 18 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com> 
- Makefile: dist rpm.
- DrakConf.pm: Rewrite the parser.
- DrakConf.(c|pm): add a test mode.
- pics/*: clean name and add icones (helene).
- DrakConf.rc: cleaning.

* Thu Dec 16 1999 Pixel <pixel@mandrakesoft.com>
- Makefile (dis): changed to ignore pics/unused
- DrakConf.rc: many change
- pics/*: additions and modifications

* Thu Dec 16 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Add many changes (see the ChangeLog).

* Fri Dec 10 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>

- First spec file.

# end of file
